Package org.bukkit.block.data.type

# Interface BrewingStand

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface BrewingStand extends BlockData
Interface to the 'has_bottle_0', 'has_bottle_1', 'has_bottle_2' flags on a brewing stand which indicate which bottles are rendered on the outside.
Stand may have 0, 1... `getMaximumBottles()`-1 bottles.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Set<Integer>`
`getBottles()`
Get the indexes of all the bottles present on this block.
`int`
`getMaximumBottles()`
Get the maximum amount of bottles present on this stand.
`boolean`
`hasBottle(int bottle)`
Checks if the stand has the following bottle
`void`
`setBottle(int bottle, boolean has)`
Set whether the stand has this bottle present.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### hasBottle

boolean hasBottle(int bottle)
Checks if the stand has the following bottle

Parameters:
  `bottle` - to check
Returns:
  if bottle is present

### setBottle

void setBottle(int bottle, boolean has)
Set whether the stand has this bottle present.

Parameters:
  `bottle` - to set
  `has` - bottle

### getBottles

@NotNull @NotNull Set<Integer> getBottles()
Get the indexes of all the bottles present on this block.

Returns:
  set of all bottles

### getMaximumBottles

int getMaximumBottles()
Get the maximum amount of bottles present on this stand.

Returns:
  maximum bottle count